/****************************************************************************
 * [S]imulated [M]edieval [A]dventure multi[U]ser [G]ame      |   \\._.//   *
 * -----------------------------------------------------------|   (0...0)   *
 * SMAUG 1.4 (C) 1994, 1995, 1996, 1998  by Derek Snider      |    ).:.(    *
 * -----------------------------------------------------------|    {o o}    *
 * SMAUG code team: Thoric, Altrag, Blodkai, Narn, Haus,      |   / ' ' \   *
 * Scryn, Rennard, Swordbearer, Gorog, Grishnakh, Nivek,      |~'~.VxvxV.~'~*
 * Tricops and Fireblade                                      |             *
 ****************************************************************************
 *  The MUDprograms are heavily based on the original MOBprogram code that  *
 *  was written by N'Atas-ha.						    *
 ****************************************************************************/

#include <stdio.h>
#include <string.h>
#include <time.h>
#include "mud.h"

const char *mprog_type_to_name( int type )
{
   switch ( type )
   {
      case IN_FILE_PROG:     return "in_file_prog";
      case ACT_PROG:         return "act_prog";
      case SPEECH_PROG:      return "speech_prog";
      case RAND_PROG:        return "rand_prog";
      case FIGHT_PROG:       return "fight_prog";
      case HITPRCNT_PROG:    return "hitprcnt_prog";
      case DEATH_PROG:       return "death_prog";
      case ENTRY_PROG:       return "entry_prog";
      case GREET_PROG:       return "greet_prog";
      case ALL_GREET_PROG:   return "all_greet_prog";
      case GIVE_PROG:        return "give_prog";
      case BRIBE_PROG:       return "bribe_prog";
      case HOUR_PROG:        return "hour_prog";
      case TIME_PROG:        return "time_prog";
      case WEAR_PROG:        return "wear_prog";
      case REMOVE_PROG:      return "remove_prog";
      case SAC_PROG:         return "sac_prog";
      case LOOK_PROG:        return "look_prog";
      case EXA_PROG:         return "exa_prog";
      case ZAP_PROG:         return "zap_prog";
      case GET_PROG:         return "get_prog";
      case DROP_PROG:        return "drop_prog";
      case REPAIR_PROG:      return "repair_prog";
      case DAMAGE_PROG:      return "damage_prog";
      case PULL_PROG:        return "pull_prog";
      case PUSH_PROG:        return "push_prog";
      case SCRIPT_PROG:      return "script_prog";
      case SLEEP_PROG:       return "sleep_prog";
      case REST_PROG:        return "rest_prog";
      case LEAVE_PROG:       return "leave_prog";
      case USE_PROG:         return "use_prog";
      default:               return "ERROR_PROG";
   }
}

